<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".dashboard.SensorsFragment">
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        >
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="visible"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingBottom="@dimen/dashboard_fragment_padding_vertical"
            android:paddingTop="@dimen/dashboard_fragment_padding_horizontal"
            android:background="@color/background_color">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="visible"
                android:orientation="vertical">
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor1"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor2"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor3"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor4"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor5"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor6"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor7"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor8"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor9"/>
                <include layout="@layout/common_sensor_style" android:id="@+id/sensor10"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleHall"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/hall_sensor"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <include
                    android:id="@+id/hallText1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/hallText2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/hallText3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/hallText4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/hallText5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/hallText6"
                    layout="@layout/common_text_style" />


            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleSign"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/signifcant_motion"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <include
                    android:id="@+id/signText1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/signText2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/signText3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/signText4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/signText5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/signText6"
                    layout="@layout/common_text_style" />


            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleGeo"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/geomagnetic_rotation_vector"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <include
                    android:id="@+id/geoText1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/geoText2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/geoText3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/geoText4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/geoText5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/geoText6"
                    layout="@layout/common_text_style" />


            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleRpc"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/rpc_sensor"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <include
                    android:id="@+id/rpcText1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/rpcText2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/rpcText3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/rpcText4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/rpcText5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/rpcText6"
                    layout="@layout/common_text_style" />


            </LinearLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>


</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>